Name:           perl-EV
Version:        4.21
Release:        0.beta1%{?dist}
Summary:        Perl interface to libev, a high performance full-featured event loop
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/EV/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/EV-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(common::sense)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Canary::Stability)
Requires:       perl(common::sense)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an interface to libev
(http://software.schmorp.de/pkg/libev.html). While the documentation below
is comprehensive, one might also consult the documentation of libev itself
(http://pod.tst.eu/http://cvs.schmorp.de/libev/ev.pod or perldoc EV::libev)
for more subtle details on watcher semantics or some discussion on the
available backends, or how to force a specific backend with LIBEV_FLAGS, or
just about in any case because it has much more detailed information.

%prep
%setup -q -n EV-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/EV*
%{_mandir}/man3/*

%changelog
* Wed Jul 22 2015 Daniel Berteaud <daniel@firewall-services.com> - 4.21-1
- First build using cpanspec
